function dydt = cosmofunc(t,x)

global gL gA dL dA cA cL rA rL KL KA nL nA

dydt = zeros(size(x));

NL=x(1); %pop density of L-A+
NA=x(2); %pop density of A-L+
SL=x(3); %conc of Lys
SA=x(4); %conc of Ade

dydt(1)=gL*SL^nL/(SL^nL+KL^nL)*NL-dL*NL;
dydt(2)=gA*SA^nA/(SA^nA+KA^nA)*NA-dA*NA;
dydt(3)=-cL*gL*SL^nL/(SL^nL+KL^nL)*NL+rL*NA;
dydt(4)=-cA*gA*SA^nA/(SA^nA+KA^nA)*NA+rA*NL;

end






